com.dlsc.flexgantt.policy.gantt

## Interface IStatusBarPolicy

- All Superinterfaces:
    IPolicy
  All Known Implementing Classes:
    AbstractStatusBarPolicy, SimpleGranularityStatusBarPolicy, TimeGranularityStatusBarPolicy

      public interface IStatusBarPolicy
      extends IPolicy

  A policy that is used to provide the information shown in the status bar. The status bar displays time points and time spans. Depending on the currently used dateline model these time points and time spans need to be rendered very differently. The `SimpleGranularityDatelineModel` requires the status bar to show time points as numbers (1, 2, 3, ....) and time spans as pairs of numbers (1 - 10, 10 - 20, ...). The `TimeGranularityDatelineModel` needs the status bar to display standard time information such as "Mon. Jan 5th".
  Since:
    1.0
  Version:
    $Revision: 1.5 $
  Author:
    Dirk Lemmermann

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getTimeNowString(IDatelineModel model, long time)` Returns a string representing the given time point, which represents time now.
    `String` | `getTimeSpanString(IDatelineModel model, ITimeSpan span)` Returns a string representing the given time span.
    `String` | `getTimeString(IDatelineModel model, long time)` Returns a string representing the given time point.
    `boolean` | `isStatusBarFieldVisible(StatusBarField field)` Determines whether the given status bar field is visible in the Gantt chart status bar or not.

- - ### Method Detail

    - #### getTimeString

          String getTimeString(IDatelineModel model,
                               long time)

      Returns a string representing the given time point.
      Parameters:
        `model` - the dateline model currently used by the Gantt chart
        `time` - the time point for which to return a string
      Returns:
        a text representation of the given time point
      Since:
        1.0

    - #### getTimeSpanString

          String getTimeSpanString(IDatelineModel model,
                                   ITimeSpan span)

      Returns a string representing the given time span.
      Parameters:
        `model` - the dateline model currently used by the Gantt chart
        `span` - the time span for which to return a string
      Returns:
        a text representation of the given time span
      Since:
        1.0

    - #### getTimeNowString

          String getTimeNowString(IDatelineModel model,
                                  long time)

      Returns a string representing the given time point, which represents time now.
      Parameters:
        `model` - the dateline model currently used by the Gantt chart
        `time` - the time (now) point for which to return a string
      Returns:
        a text representation of the given time point
      Since:
        1.0

    - #### isStatusBarFieldVisible

          boolean isStatusBarFieldVisible(StatusBarField field)

      Determines whether the given status bar field is visible in the Gantt chart status bar or not.
      Parameters:
        `field` - the field to check for visibility
      Returns:
        TRUE if the given field is visible
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.